summaryrefslogtreecommitdiffstats
path: root/multimedia/ccxstream
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/ccxstream')
-rw-r--r--multimedia/ccxstream/README2
-rw-r--r--multimedia/ccxstream/ccxstream.SlackBuild83
-rw-r--r--multimedia/ccxstream/ccxstream.info10
-rw-r--r--multimedia/ccxstream/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/multimedia/ccxstream/README b/multimedia/ccxstream/README
new file mode 100644
index 0000000000..053b4ee50a
--- /dev/null
+++ b/multimedia/ccxstream/README
@@ -0,0 +1,2 @@
+ccXStream streams media to XBMC via the XBMSP. This is a package implementing
+a xbmsp streaming protocol server and a (test) client.
diff --git a/multimedia/ccxstream/ccxstream.SlackBuild b/multimedia/ccxstream/ccxstream.SlackBuild
new file mode 100644
index 0000000000..dcc5025907
--- /dev/null
+++ b/multimedia/ccxstream/ccxstream.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+#
+# Slackware build script for ccxstream
+#
+# Copyright 2011 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ccxstream
+VERSION=1.0.15
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# A dwarf is passing out somewhere in Detroit!
+sed -i "s/CFLAGS+=/CFLAGS+=$SLKCFLAGS /g" Makefile
+
+make
+install -Ds ccxstream $PKG/usr/bin/ccxstream
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYRIGHT ChangeLog PORTING README TODO xbmsp-xml.txt xbmsp.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/ccxstream/ccxstream.info b/multimedia/ccxstream/ccxstream.info
new file mode 100644
index 0000000000..0680f12248
--- /dev/null
+++ b/multimedia/ccxstream/ccxstream.info
@@ -0,0 +1,10 @@
+PRGNAM="ccxstream"
+VERSION="1.0.15"
+HOMEPAGE="http://buffalo.nas-central.org/wiki/Ccxstream_-_Xbox_Media_Stream_Protocol"
+DOWNLOAD="http://downloads.sourceforge.net/xbplayer/ccxstream-1.0.15.tar.gz"
+MD5SUM="c589fff48ce541f26b394c9d82ccbead"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="Niels Horn"
diff --git a/multimedia/ccxstream/slack-desc b/multimedia/ccxstream/slack-desc
new file mode 100644
index 0000000000..92aa7f3ae8
--- /dev/null
+++ b/multimedia/ccxstream/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ccxstream: ccXstream (Streaming media server for XBMC)
+ccxstream:
+ccxstream: ccXStream streams media to XBMC via the XBMSP. This is a package
+ccxstream: implementing a xbmsp streaming protocol server and a (test) client.
+ccxstream:
+ccxstream:
+ccxstream:
+ccxstream:
+ccxstream:
+ccxstream:
+ccxstream: